Subject: Re: What's cooking in git.git (Nov 2012, #03; Tue, 13)

From: Mark Levedahl <[email-masked]>
Date: Thu, 15 Nov 2012 18:34:42 -0500

On 11/15/2012 02:35 PM, Torsten Bögershausen wrote:
> On 11/15/2012 08:05 PM, Ramsay Jones wrote:
>>
>> Did the cygwin project not bump an api version number somewhere?
>>
>> ATB,
>> Ramsay Jones
> Ramsay,
> you can run uname -r to see the version number.
>
> I myself haven't fully understood all the consequences,
> somewhere between 1.7.7 and 1.7.17 the include files had been changed.
>
> If this has consequences for using e.g. winsock2.dll, I want to know 
> myself ;-)
>
> /Torsten
>
>
uname -r gives the version of the dll, not of any particular package, 
and all of the various components are versioned independently. The 
win32api is spread across several packages, and the recent update 
changed the names, There is no api number advertised. You could check 
the names of currently installed packages if you assume those names 
won't change, but any such method is going to be fragile (and very 
unsupported).

Mark